<?php
include_once(realpath(dirname(__FILE__)) . "/../../../../fonctions/authplugins.php");
autorisation("codepromo");

include_once(realpath(dirname(__FILE__)) . "/../Codepromo.class.php");

$codepromo = new Codepromo_codepromo();
$codepromoutil = new Codepromo_util();
$codepromoregles = new Codepromo_codepromo_regle();

if(!empty($action)){
	$code_promo = lireParam('promo', 'int');

	switch($action){
		case 'supprimer':			
			if(!empty($code_promo) && $codepromo->charger_id($code_promo)){				
				$codepromo->statut = 0;
				$codepromo->maj();
			}
			break;

		case 'changestatut':
			if(!empty($code_promo) && $codepromo->charger_id($code_promo)){
				$codepromo->statut = ($codepromo->statut==1)?2:1;
				$codepromo->maj();
			}
			break;

		case 'ajout':
		case 'editer':		
			
			$liste_controleurs = lireParam('liste_controleurs');
			$code = lireParam('code');
			$action_type = lireParam('action_type');
			$action_valeur = lireParam('action_valeur');
			$promo_id = lireParam('promo_id');

			if($liste_controleurs == '' || $code == '' || $action_type == '' || !isset($action_valeur))
				break;
				
			$codepromo_codepromo = new Codepromo_codepromo();
			
			if($code == '' || ($codepromo_codepromo->charger_statut($code, array(1, 2)) && !$promo_id))
				break;
			
			if($promo_id){
				$codepromo_codepromo->id = $promo_id;
			}
			$codepromo_codepromo->code = $code;
			$codepromo_codepromo->action = $action_type;
			$codepromo_codepromo->valeur = $action_valeur;
			$codepromo_codepromo->statut = 1;

			if($codepromo_codepromo->id){
				$codepromo_codepromo->maj();
			}
			else{
				$codepromo_codepromo->id = $codepromo_codepromo->add();
			}

			$tabListeControleurs = explode("-", $liste_controleurs);

			for($i=0; $i<count($tabListeControleurs); $i++){
				
				if(empty($_REQUEST['controleur_' . $tabListeControleurs[$i]]) || empty($_REQUEST['operation_' . $tabListeControleurs[$i]]) || !isset($_REQUEST['valeur_' . $tabListeControleurs[$i]]))
					continue;
								
				$codepromo_codepromo_regle = new Codepromo_codepromo_regle();								

				if($_REQUEST['regle_' . $tabListeControleurs[$i]]){			
					$codepromo_codepromo_regle->id = $_REQUEST['regle_' . $tabListeControleurs[$i]];
				}

				$codepromo_codepromo_regle->codepromo = $codepromo_codepromo->id;
				$codepromo_codepromo_regle->controleur = $_REQUEST['controleur_' . $tabListeControleurs[$i]];
				$codepromo_codepromo_regle->operation = $_REQUEST['operation_' . $tabListeControleurs[$i]];
				$codepromo_codepromo_regle->valeur = $_REQUEST['valeur_' . $tabListeControleurs[$i]];				
				
				if($codepromo_codepromo_regle->id){
					$codepromo_codepromo_regle->maj();
				}
				else{
					$codepromo_codepromo_regle->add();
				}
			}
			break;
	}
}
?>

<style type="text/css">
	.ligne_claire_rub, .ligne_claire_rub li{
		height: inherit;
	}
</style>

<div id="contenu_int"> 
<!-- fil d'ariane de l'admin -->
	<p align="left"><a href="accueil.php" class="lien04">Accueil </a> <img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="module_liste.php" class="lien04">Modules</a> <img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="#" class="lien04">Code promo</a>              
	</p>
<!-- titre -->
	<div class="entete_liste_config">
		<div class="titre">GESTION DES CODES PROMO</div>
		<div class="fonction_valider" style="float:right"><a href="module.php?nom=codepromo&page=editer">AJOUTER UN CODE PROMO</a></div>
	</div>
<!-- entete -->
	<ul id="Nav">
		<li style="height:25px; width:150px;">Code</li>
		<li style="height:25px; width:300px; border-left:1px solid #96A8B5;">Conditions</li>
		<li style="height:25px; width:60px; border-left:1px solid #96A8B5;">Remise</li>
		<li style="height:25px; width:60px; border-left:1px solid #96A8B5;">Nb util.</li>
		<li style="height:25px; width:68px; border-left:1px solid #96A8B5;"></li>
		<li style="height:25px; width:68px; border-left:1px solid #96A8B5;"></li>
		<li style="height:25px; width:68px; border-left:1px solid #96A8B5;"></li>
	</ul>
<!-- bloc avec bordure inferieure -->	
	<div class="bordure_bottom">
<?php
$compteur_ligne = 0;
$q = "SELECT * FROM $codepromo->table WHERE statut>0 ORDER BY statut ASC";
$r = mysql_query($q);
while($a = mysql_fetch_object($r))
{	

	if($compteur_ligne%2==0)
		$fond = "ligne_claire_rub";
	else
		$fond = "ligne_fonce_rub";
		
	$nb_util = mysql_result(mysql_query("SELECT COUNT(*) AS total FROM $codepromoutil->table u LEFT JOIN " . Commande::TABLE . " c ON u.commande=c.id WHERE c.statut<>5 AND u.promo=$a->id"), 0, 'total');
?>
		<ul class="<?php echo $fond; ?>">
		    <li style="width:142px"><?php echo $a->code ?></li>
		    <li style="width:293px">
		    	<?php
		    		$q = "SELECT * FROM $codepromoregles->table WHERE $codepromoregles->table.codepromo = $a->id";
					$r = mysql_query($q);
					while($regle = mysql_fetch_object($r)){
						$cont = $regle->controleur;
						$oper = $regle->operation;

						require_once(realpath(dirname(__FILE__)) . "/../controleurs/".$cont.".class.php");
						require_once(realpath(dirname(__FILE__)) . "/../operations/".$oper.".class.php");
						
						echo $cont::nom().' '.$oper::nom().' '.$regle->valeur.'<br/>';
					}
		    	?>
		    </li>
		    <li style="border-left:1px solid #C4CACE; width:53px">
		    	<?php
		    		require_once(realpath(dirname(__FILE__)) . "/../actions/".$a->action.".class.php");
		    		$act = $a->action;
		    		echo $act::nom().' - '.$a->valeur;
		    	?>
		    </li>
		    <li style="border-left:1px solid #C4CACE; width:53px"><?php echo $nb_util; ?></li>
		    <li style="border-left:1px solid #C4CACE; width:61px">
		    	<a href="module.php?nom=codepromo&page=index&action=changestatut&promo=<?php echo $a->id; ?>"><?php echo ($a->statut==1)?'désactiver':'activer'; ?></a>
		    </li>
		    <li style="border-left:1px solid #C4CACE; width:61px">
		    	<a href="module.php?nom=codepromo&page=editer&action=editer&promo=<?php echo $a->id; ?>">editer</a>
		    </li>
		    <li style="border-left:1px solid #C4CACE; width:61px">
		    	<a href="module.php?nom=codepromo&page=index&action=supprimer&promo=<?php echo $a->id; ?>" onclick="if(!confirm('Le code sera définitivement supprimé')){return false;}">supprimer</a>
		    </li>
		</ul>
<?php
	$compteur_ligne ++;
}
?>
	</div>
</div>